package com.badlogic.androidgames.mrnom;

import java.util.List;

import com.badlogic.androidgames.framework.Game;
import com.badlogic.androidgames.framework.Graphics;
import com.badlogic.androidgames.framework.Input.TouchEvent;
import com.badlogic.androidgames.framework.Screen;

public class HelpScreen2 extends Screen{
	public HelpScreen2(Game game) {
		super(game);
	}
	
	@Override
	public void update(float deltaTime) {
		List<TouchEvent> touchEvents = game.getInput().getTouchEvents();
		game.getInput().getKeyEvents();
		
		for (int i = 0; i < touchEvents.size(); ++i) {
			TouchEvent event = touchEvents.get(i);
			
			if (event.type == TouchEvent.TOUCH_UP) {
				if (event.x > 256 && event.y > 416)
					game.setScreen(new HelpScreen3(game));
				if (Settings.soundEnabled)
					Assets.click.play(1);
				return;
			}
		}
	}
	
	@Override
	public void present(float deltaTime) {
		Graphics g = game.getGraphics();
		
		g.drawPixMap(Assets.background, 0, 0);
		g.drawPixMap(Assets.help2, 64, 100);
		g.drawPixMap(Assets.buttons, 256, 416, 0, 64, 64, 64);
	}
	
	@Override
	public void pause() {
		//What?? I got nothing to do, dude!
	}
	
	@Override
	public void resume() {
		//Lazy
	}
	
	@Override
	public void dispose() {
		//Work? What's that?
	}
}
